const addCourseForm = document.getElementById('add-course-form');
const editCourseForm = document.getElementById('edit-course-form');
const editCourseModal = document.getElementById('edit-course-modal');

addCourseForm.addEventListener("submit", (e) => {
    e.preventDefault();
    request('/admin/common/api/user/add-course.php', '#add-course-form', function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                new Toast({
                    type: "danger",
                    title: 'Hata!',
                    message: 'Bir hata oluştu. Lütfen tüm alanları kontrol ediniz',
                    duration: 10000,
                });
            } else {
                if (data['status']) {
                    new Toast({
                        type: "success",
                        title: 'İşlem başarılı!',
                        message: data['message'],
                        duration: 5000,
                    });
                    bootstrap.Modal.getInstance(document.getElementById('add-course-modal')).hide();
                    setTimeout(function(){ location.reload(); }, 5000);
                }else{
                    new Toast({
                        type: "danger",
                        title: 'Hata!',
                        message: data['message'],
                        duration: 10000,
                    });
                }
            }
        } catch (e) {
            new Toast({
                type: "danger",
                title: 'Hata!',
                message: 'Bir hata oluştu. Lütfen daha sonra tekrar deneyiniz',
                duration: 10000,
            });
        }
    });
});


editCourseModal.addEventListener('show.bs.modal', function (event) {
    var button = event.relatedTarget;
    var guid = button.getAttribute('data-guid');
    var title = button.getAttribute('data-title');
    var date_valid = button.getAttribute('data-date-valid');
    document.getElementById('course_guid').value = guid;
    document.getElementById('edit-course-name').value = title;
    document.getElementById('edit-course-end-date').value = date_valid;
});


editCourseForm.addEventListener("submit", (e) => {
    e.preventDefault();
    request('/admin/common/api/user/edit-course.php', '#edit-course-form', function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                new Toast({
                    type: "danger",
                    title: 'Hata!',
                    message: 'Bir hata oluştu. Lütfen tüm alanları kontrol ediniz',
                    duration: 10000,
                });
            } else {
                if (data['status']) {
                    new Toast({
                        type: "success",
                        title: 'İşlem başarılı!',
                        message: data['message'],
                        duration: 5000,
                    });
                    bootstrap.Modal.getInstance(document.getElementById('edit-course-modal')).hide();
                    setTimeout(function(){ location.reload(); }, 5000);
                }else{
                    new Toast({
                        type: "danger",
                        title: 'Hata!',
                        message: data['message'],
                        duration: 10000,
                    });
                }
            }
        } catch (e) {
            new Toast({
                type: "danger",
                title: 'Hata!',
                message: 'Bir hata oluştu. Lütfen daha sonra tekrar deneyiniz',
                duration: 10000,
            });
        }
    });
});